<?php
/**
 * CircleDat Entity
 * $Id: CircleDat.inc,v 1.1 2020/2/27 14:40:01 Exp $
 * @author zb
 * @package jp.compass.entity
 * @access public
 */
class CircleDat extends CompassDynamicData
{
	var $title;
	var $member_count;
	var $need_check;
	var $front_image;
	var $comment;
	var $longitude;
	var $latitude;
	var $province;
	var $city;
	var $district;
	var $owner_id;
	var $delete_flg;

	/**
	 * 构造实现。circle_dat创建实例。
	 * 
	 * @access public
	 * @param mixed circle_dat
	 */
	function constructor($record)
	{
		parent::constructor($record);

		$this->title        = $record["title"];
		$this->member_count = $record["member_count"];
		$this->need_check   = $record["need_check"];
		$this->front_image  = $record["front_image"];
		$this->comment      = $record["comment"];
		$this->longitude    = $record["longitude"];
		$this->latitude     = $record["latitude"];
		$this->province     = $record["province"];
		$this->city         = $record["city"];
		$this->district     = $record["district"];
		$this->owner_id     = $record["owner_id"];
		$this->delete_flg   = $record["delete_flg"];
	}

	/**
	 * 根据条件,获取数据列表。
	 * 条件与DBManager的doSelect相同。
	 * @access public
	 * @static
	 * @param array 检索条件
	 * @return array Entity的队列
	 */
	public static function getList($w_param = null, $orderkey = null, $direction = "ASC", $offset = null, $limit = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}

		return CompassDBHandler::getList("CircleDat", "circle_dat", $w_param, $orderkey, $direction, $offset, $limit);
	}

	/**
	 * 根据条件，获取数据列表的件数。
	 * 条件与DBManager的doSelect相同。
	 * @access public
	 * @static
	 * @param array 检索条件
	 * @return array Entity的队列
	 */
	public static function getListCount($w_param = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}
		$db = CompassDBManager::getInstance();
		$result = $db->doSelect("circle_dat", $w_param, null, null, null, null, "count(*) as count");

		return $result[0]["count"];
	}

	/**
	 * 获得此类指定ID的实例。
	 */
	public static function getById($id)
	{
		// delete_flg
		$param = array();
		$param["delete_flg"] = false;

		return CompassDBHandler::getById("CircleDat", "circle_dat", $id, $param);
	}

	// -- 这里开始Dynamic ---
	/**
	 * 将此实例写入DB。
	 * DynamicData共用的保存方法。
	 * @access public
	 * @return int 写入实例的ID
	 */
	public function save()
	{
		$v_param = array();

		ParamUtil::copyObj2Array($v_param, $this, "title");
		ParamUtil::copyObj2Array($v_param, $this, "member_count");
		ParamUtil::copyObj2Array($v_param, $this, "need_check");
		ParamUtil::copyObj2ArrayNullField($v_param, $this, "front_image");
		ParamUtil::copyObj2ArrayNullField($v_param, $this, "comment");
		ParamUtil::copyObj2Array($v_param, $this, "longitude");
		ParamUtil::copyObj2Array($v_param, $this, "latitude");
		ParamUtil::copyObj2Array($v_param, $this, "province");
		ParamUtil::copyObj2Array($v_param, $this, "city");
		ParamUtil::copyObj2Array($v_param, $this, "district");
		ParamUtil::copyObj2Array($v_param, $this, "owner_id");
		ParamUtil::copyObj2Array($v_param, $this, "delete_flg");

		// 保存
		parent::_save("circle_dat", $v_param);
	}
}